package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.db.DataBaseActionResult;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.etagBase.EtagTagInfoQueryReq;
import org.wcs.model.po.app.AppEtagTagInfo;

import java.util.List;

/**
 * 电子标签小标签基础信息数据访问层
 */
public interface AppEtagTagInfoService extends IService<AppEtagTagInfo> {

    Tuple2<Long, List<AppEtagTagInfo>> queryEtagTagInfo(EtagTagInfoQueryReq request, Integer pageSize, Integer pageIndex);
    List<AppEtagTagInfo> queryEtagTagInfoByTagName(String tagName); // 通过标签名称查询
    List<AppEtagTagInfo> queryAll(); // 查询所有
    List<AppEtagTagInfo> queryIgnoreNull(AppEtagTagInfo appEtagTagInfo); // 忽略空字段查询
    DataBaseActionResult<Integer> insert(AppEtagTagInfo appEtagTagInfo); // 添加电子标签小标签基础信息
    DataBaseActionResult<Integer> update(AppEtagTagInfo appEtagTagInfo); // 修改电子标签小标签基础信息
    DataBaseActionResult<Integer> deleteByTagName(String tagName); // 删除电子标签小标签基础信息

}
